Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/keywords/archive

Archive a keyword

This API removes a keyword from the list of tracked keywords for a specific location by archiving it.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
idstringrequiredKeyword ID to archive

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/keywords/archive' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '""'

Responses

StatusDescription
200Successful response
400Bad Request
401Unauthorized
Example response (generated from the schema)
{
  "data": {
    "archiveKeyword": {
      "keyword": {
        "id": "S2V5d29yZDo3NjQzMTE=",
        "archived": true,
        "name": "road building"
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.archiveKeywordobjectoptional
data.archiveKeyword.keywordobjectoptional
data.archiveKeyword.keyword.idstringoptionalThe unique ID attached to the keyword
data.archiveKeyword.keyword.archivedbooleanoptionalIndicates if the keyword has been archived
data.archiveKeyword.keyword.namestringoptionalThe text value of the keyword